on run argv
	
	set ROOT_APP_SUPPORT to item 1 of argv
	set USER_APP_SUPPORT to item 2 of argv
	set APP_PATH to item 3 of argv
	set PREFS_PATH to item 4 of argv

	
	-- Stop service
	do shell script "launchctl unload -F /Library/LaunchDaemons/com.backaroo.rsyncd.plist" with administrator privileges
	
	-- Remove the LaunchDaemon for the service.
	do shell script "rm -f " & quoted form of ("/Library/LaunchDaemons/com.backaroo.rsyncd.plist") with administrator privileges


	-- Remove ROOT_APP_SUPPORT
	do shell script "rm -rf " & quoted form of ROOT_APP_SUPPORT with administrator privileges
	
	-- Remove USER_APP_SUPPORT
	do shell script "rm -rf " & quoted form of USER_APP_SUPPORT with administrator privileges

	-- Remove the preferences file (e.g. ~/Library/Preferences/com.bonhardcomputing.Backaroo.....plist)
	do shell script "rm -f " & quoted form of PREFS_PATH with administrator privileges


  -- Remove the app itself
	do shell script "rm -rf " & quoted form of APP_PATH with administrator privileges


end run

